DCALC(1)

NAME
dcalc - Converts between unallocated disk unit numbers and regular disk unit numbers.

SYNOPSIS
dcalc [-du unit_addr] [-vV] [-f fstype] image

DESCRIPTION
dcalc creates a disk unit number mapping between two images, one normal and another that only contains the unallocated units of the first (the default behavior of the dls(1) program). One of the -d, -s, or -u options must be given. If the -d option is given, then the unit_addr value is the disk unit address in the regular image (i.e. from dd(1) ). If the unit is unallocated, its address in an unallocated image is given. If the -u option is given, then the unit_addr value is the disk unit address in the unallocated unit image (i.e. from dls(1) ). Its disk unit address in the original image is determined. If the -s option is given, then the unit_addr value is the disk unit address in the slack image (i.e. from dls -s). The image is the full, original image (i.e. from dd(1)).

-f fstype
    Identify the File System type of the image. Use the -? argument for a list of supported file system types. If not given, the default type for the platform is used.

-v  Verbose output to STDERR.

-V  Display version.

This is useful when using lazarus or keyword searching an image generated by dls. This allows one to identify the original unit address and provides better documentation.

EXAMPLE
# dcalc -u 64 images/wd0e

SEE ALSO
dd(1), dls(1), lazarus(1)

HISTORY
dcalc first appeared in TCTUTILs v1.01. as blockcalc.

AUTHOR
Brian Carrier <carrier@sleuthkit.org>